## osinfo_os_variant

osinfo_os_variant — A variant of an OS

## Functions

OsinfoOsVariant * | osinfo_os_variant_new ()
const gchar * | osinfo_os_variant_get_name ()

## Types and Values

#define | OSINFO_TYPE_OS_VARIANT
#define | OSINFO_OS_VARIANT_PROP_NAME

## Description

OsinfoOsVariant is an entity representing a variant of an operating system.

## Functions

### osinfo_os_variant_new ()

    OsinfoOsVariant *
    osinfo_os_variant_new (const gchar *id);

Creates a new os variant

#### Parameters

id | the id of the os variant to be created |

#### Returns

An os variant entity.

[transfer full]

Since: 0.2.9

### osinfo_os_variant_get_name ()

    const gchar *
    osinfo_os_variant_get_name (OsinfoOsVariant *variant);

The name of the `variant`

#### Parameters

variant | an OsinfoOsVariant instance |

#### Returns

the name, or NULL.

[transfer none]

Since: 0.2.9

## Types and Values

### OSINFO_TYPE_OS_VARIANT

    #define OSINFO_TYPE_OS_VARIANT (osinfo_os_variant_get_type ())

### OSINFO_OS_VARIANT_PROP_NAME

    #define OSINFO_OS_VARIANT_PROP_NAME "name"

## See Also

OsinfoOs